Results 1 to 2 of 2

Thread: LEAP 15.1 - Circular dependencies trying to install rdesktop / libao4

  1. #1

    Angry LEAP 15.1 - Circular dependencies trying to install rdesktop / libao4

    OpenSuse Leap 15.1

    I am ultimately trying to install rdesktop on a VM with no internet access. I am manually moving files to the VM after downloading them from a connected machine.

    When I try to run "rpm -i rdesktop-1.8.3-lp151.1.1.x86_64.rpm" I get the following response:

    libao.so.4()(64bit) is needed by rdesktop-1.8.3-lp151.1.1.x86_64.rpm
    libao.so4(LIBA04_1.1.0)(64bit) is needed by rdesktop-1.8.3-lp151.1.1.x86_64.rpm

    So then I download liba04 and run "rpm -i libao4-1.2.0-lp151.2.3.x86_64.rpm" and I get:

    libao-plugins4 is needed by libao4-1.2.0-lp151.2.3.x86_64.rpm

    OK. No problem. So then I grab the plugin and run "rpm -i libao-plugins4-1.2.0-lp151.2.3.x86_64.rpm"

    But then I am back to getting:

    libao.so.4()(64bit) is needed by libao-plugins4-1.2.0-lp151.2.3.x86_64.rpm
    libao.so4(LIBA04_1.1.0)(64bit) is needed by libao-plugins4-1.2.0-lp151.2.3.x86_64.rpm

    So it is a circular dependency issue. How can I get rdesktop installed?

  2. #2
    Join Date
    Oct 2011
    Location
    Germany (Ore Mountains)
    Posts
    427

    Default Re: LEAP 15.1 - Circular dependencies trying to install rdesktop / libao4

    You can tell rpm to ignore dependencies: "--nodeps"

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •